curl --request POST \
--url https://app.alphapo.net/api/v2/exchange/fixed \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "BTC",
"sender_amount": 0,
"receiver_amount": 0,
"foreign_id": "string",
"price": 0
}
'{
"data": {
"id": 2687667,
"foreign_id": "knwi24op9",
"type": "exchange",
"sender_amount": "0.01",
"sender_currency": "BTC",
"receiver_amount": "63.52069015",
"receiver_currency": "EUR",
"fee_amount": "6.98727592",
"fee_currency": "EUR",
"price": "6352.06901520",
"status": "processing"
}
}Execute the exchange at a given fixed exchange rate.
curl --request POST \
--url https://app.alphapo.net/api/v2/exchange/fixed \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "BTC",
"sender_amount": 0,
"receiver_amount": 0,
"foreign_id": "string",
"price": 0
}
'{
"data": {
"id": 2687667,
"foreign_id": "knwi24op9",
"type": "exchange",
"sender_amount": "0.01",
"sender_currency": "BTC",
"receiver_amount": "63.52069015",
"receiver_currency": "EUR",
"fee_amount": "6.98727592",
"fee_currency": "EUR",
"price": "6352.06901520",
"status": "processing"
}
}Your API key.
The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.
Unique foreign ID in your system. Must not contain personal data, such as the user's name or email address.
255Exchange rate price on which exchange will be placed.
Currency to exchange from. For a list of all available currencies, see Supported currencies.
Currency to exchange to. For a list of all available currencies, see Supported currencies.
Amount you want to exchange.
x >= 0Amount you want to exchange.
x >= 0OK
Show child attributes
Was this page helpful?